import QtQuick 2.7
import QtQuick.Controls 2.0
import QtQuick.Layouts 1.0
import QtMultimedia 5.8

ApplicationWindow {
    visible: true
    width: 640
    height: 480
    title: qsTr("Hello World")

    property var cameras: QtMultimedia.availableCameras
    property int currentCamera: 0

    ColumnLayout {
        anchors.fill: parent
        anchors.margins: spacing
        VideoOutput {
            Layout.fillHeight: true
            Layout.fillWidth: true
            source: Camera { id: camera }
            autoOrientation: true
        }
        RowLayout {
            width: parent.width
            Label {
                Layout.fillWidth: true
                text: camera.displayName
            }
            Button {
                text: "Change Camera"
                visible: cameras.length > 1
                onClicked: {
                    currentCamera++
                    if (currentCamera >= cameras.length)
                        currentCamera = 0
                    camera.deviceId = cameras[currentCamera].deviceId
                }
            }
        }
    }
}
