import QtQuick 2.7
import QtQuick.Controls 2.0
import QtQuick.Layouts 1.0
import QtWebView 1.1

ApplicationWindow {
    visible: true
    width: 640
    height: 480
    title: qsTr("Hello World")

    FontLoader { id: fontAwesome; source: "qrc:/FontAwesome.otf" }

    ColumnLayout {
        anchors.fill: parent
        RowLayout {
            ToolButton {
                text: "\uf04a"
                font.family: "awesome"
                enabled: webview.canGoBack
                onClicked: webview.goBack()
            }
            ToolButton{
                text: "\uf04e"
                font.family: "awesome"
                enabled: webview.canGoForward
                onClicked: webview.goForward()
            }
            TextField {
                id: textfield
                Layout.fillWidth: true
                placeholderText: "Digite aqui a URL"
                Keys.onReturnPressed: webview.url = text
                BusyIndicator {
                    anchors { right: parent.right; verticalCenter: parent.verticalCenter }
                    visible: webview.loading
                    height: parent.height
                    width: height
                    z: 2
                }
            }
        }
        WebView {
            id: webview
            Layout.preferredWidth: parent.width
            Layout.fillHeight: true
            onUrlChanged: textfield.text = url
            z: 1
        }
    }
}
